import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["id", "label", "nodeLabel", "successText", "errorText", "alertText", "helpText", "status", "statusText", "onChange", "onClickLabel", "fullWidth"];
import PropTypes from 'prop-types';
import AtomRadioButton from '@s-ui/react-atom-radio-button';
import { AtomValidationTextTypes } from '@s-ui/react-atom-validation-text';
import MoleculeField from '@s-ui/react-molecule-field';
import { BASE_CLASS } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";

var MoleculeRadioButtonField = function MoleculeRadioButtonField(_ref) {
  var id = _ref.id,
      label = _ref.label,
      nodeLabel = _ref.nodeLabel,
      successText = _ref.successText,
      errorText = _ref.errorText,
      alertText = _ref.alertText,
      helpText = _ref.helpText,
      status = _ref.status,
      statusText = _ref.statusText,
      onChange = _ref.onChange,
      onClickLabel = _ref.onClickLabel,
      fullWidth = _ref.fullWidth,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS,
    children: /*#__PURE__*/_jsx(MoleculeField, {
      name: id,
      label: label,
      nodeLabel: nodeLabel,
      successText: successText,
      errorText: errorText,
      alertText: alertText,
      helpText: helpText,
      onChange: onChange,
      status: status,
      statusText: statusText,
      onClickLabel: onClickLabel,
      fullWidth: fullWidth,
      inline: true,
      reverse: true,
      isAligned: true,
      children: /*#__PURE__*/_jsx(AtomRadioButton, _extends({
        id: id
      }, props))
    })
  });
};

MoleculeRadioButtonField.displayName = 'MoleculeRadioButtonField';
export default MoleculeRadioButtonField;
export { AtomValidationTextTypes as MoleculeRadioButtonFieldStatus };